package com.magnatune.eyecreate.companionformagnatune.model;

import java.util.Date;

import io.realm.RealmList;
import io.realm.RealmObject;
import io.realm.annotations.PrimaryKey;

public class Album extends RealmObject {

    @PrimaryKey
    private String albumsku;
    private String albumname;
    private String artist;
    private String artistdesc;
    private String cover_small;
    private String cover_large;
    private String artistphoto;
    private int year;
    private String album_notes;
    private String homepage;
    private String mp3genre;
    private Date launchdate;
    private RealmList<MGenre> genres;
    private RealmList<Track> tracks;

    public String getAlbumsku() {
        return albumsku;
    }

    public void setAlbumsku(String albumsku) {
        this.albumsku = albumsku;
    }

    public String getAlbumname() {
        return albumname;
    }

    public void setAlbumname(String albumname) {
        this.albumname = albumname;
    }

    public String getArtist() {
        return artist;
    }

    public void setArtist(String artist) {
        this.artist = artist;
    }

    public String getArtistdesc() {
        return artistdesc;
    }

    public void setArtistdesc(String artistdesc) {
        this.artistdesc = artistdesc;
    }

    public String getCover_small() {
        return cover_small;
    }

    public void setCover_small(String cover_small) {
        this.cover_small = cover_small;
    }

    public String getCover_large() {
        return cover_large;
    }

    public void setCover_large(String cover_large) {
        this.cover_large = cover_large;
    }

    public String getArtistphoto() {
        return artistphoto;
    }

    public void setArtistphoto(String artistphoto) {
        this.artistphoto = artistphoto;
    }

    public int getYear() {
        return year;
    }

    public void setYear(int year) {
        this.year = year;
    }

    public String getAlbum_notes() {
        return album_notes;
    }

    public void setAlbum_notes(String album_notes) {
        this.album_notes = album_notes;
    }

    public String getHomepage() {
        return homepage;
    }

    public void setHomepage(String homepage) {
        this.homepage = homepage;
    }

    public String getMp3genre() {
        return mp3genre;
    }

    public void setMp3genre(String mp3genre) {
        this.mp3genre = mp3genre;
    }

    public Date getLaunchdate() {
        return launchdate;
    }

    public void setLaunchdate(Date launchdate) {
        this.launchdate = launchdate;
    }

    public RealmList<MGenre> getGenres() {
        return genres;
    }

    public void setGenres(RealmList<MGenre> genres) {
        this.genres = genres;
    }

    public RealmList<Track> getTracks() {
        return tracks;
    }

    public void setTracks(RealmList<Track> tracks) {
        this.tracks = tracks;
    }
}
